summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorsvntobi <svntobi@cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f>2007-08-11 15:40:59 +0000
committersvntobi <svntobi@cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f>2007-08-11 15:40:59 +0000
commit9bc88e820e60b6ecbce4113afc14fa56907048e2 (patch)
treecad94c257a6933a0636eb5f8fd152516c14370fd /debian/postinst
parentf9d256e6b547eefc8e7769e7263418b92e553449 (diff)
downloadvdr-plugin-menuorg-9bc88e820e60b6ecbce4113afc14fa56907048e2.tar.gz
vdr-plugin-menuorg-9bc88e820e60b6ecbce4113afc14fa56907048e2.tar.bz2
Added debian installation of menuorg.xml/xsd
git-svn-id: file:///home/tobias/sandbox/vdr/--/vdr-pkg/vdr-pkg/submenu/trunk@5678 cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst44
1 files changed, 44 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..7464457
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postinst script for vdr-plugin-menuorg
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+MENUORG_XML=/var/lib/vdr/plugins/menuorg.xml
+
+case "$1" in
+ configure)
+ [ -e "$MENUORG_XML" ] || \
+ cp /usr/share/vdr-plugin-menuorg/menuorg.xml "$MENUORG_XML"
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+